function y=C3(u);

% Cette fonction calcule C3 arrte le moteur EPS quand C3 est atteinte 

% Variable d'entre u
%  u(1)=VR
%  u(2)=beta
%  u(3)=Z
%  u(4)=X


VR=u(1);beta=u(2);Z=u(3);VT=2*pi/86164*(6378000+Z);


  Va=(VR^2+VT^2+2*VR*VT*cos(beta))^0.5;
  C3=Va^2-39.86e13/(6378000+Z)*2;
   
 y=C3;

end

% *************************  FIN PROGRAMME   ****************
