function y=CX(VR,Z);

% Cette fonction donne le coefficient de trane Cx en fonction de la vitesse
% relative air, donc du nombre de Mach

% VR en m/s, Z en mtres

Z=Z/1000;

mach=VR/vit_son(Z);

if mach>=0 & mach<=0.8,
  CX=0.6;
end

if mach>0.8 & mach<=0.9,
  CX=0.6+ (2.16-0.6)/0.1*(mach-0.8);
end

if mach>0.9 & mach<=1.1,
  CX=2.16;
end

if mach>1.1 & mach<=1.4,
  CX=2.16+(0.4-2.16)/0.3*(mach-1.1);
end


if mach>1.4 & mach<=100,
  CX=0.4;
end

y=CX;

end

% **********************  FIN PROGRAMME  **************** AU POINT ************
