function y=trainee(u);

% u vecteur d'entre [VR;beta;Z;X;t]

% le vecteur d'entree u a 3 composantes
	% u(1) vitesse relative Vr en m/s
	% u(2) pente relative b (bta) en radian
	% u(3) altitude sol z en mtres
        % u(4) porte sol X
        % u(5) temps t
  	
% En sortie y est la force de trainee atmospherique en Newtons 

% --------------------------------------------------------------------
% Z est l'altitude sol en m, la densite en kg/m3, vR la vitesse relative en m/s

Z=u(3)/1000;temps=u(5);VR=u(1);

% **********************  CALCUL MASSE VOLUMIQUE **********************

if Z<11
	ro=1.225*exp(-0.1064*Z);
   elseif Z<34
	 ro=2.2*exp(-0.15983*Z);
   elseif Z<50
	ro=1.05*exp(-0.13807*Z);
   else
	ro=0;
end

% ******  FIN PROGRAMME DE CALCUL DE LA MASSE VOLUMIQUE DE L'AIR  *******

% ------------------------------------------------------------
% Ce programme calcule la force de trainee
%________________________________________________________________



% *************   Coefficient de traine CX *********************

mach=VR/vit_son(Z);

if mach>=0 & mach<=0.8,
  CX=0.6;
end

if mach>0.8 & mach<=0.9,
  CX=0.6+ (2.16-0.6)/0.1*(mach-0.8);
end

if mach>0.9 & mach<=1.1,
  CX=2.16;
end

if mach>1.1 & mach<=1.4,
  CX=2.16+(0.4-2.16)/0.3*(mach-1.1);
end


if mach>1.4 & mach<=100,
  CX=0.4;
end

CX=1.5*CX;  % ?????? +50% POUR SATISFAIRE LE PLAN DE VOL ********

% *********************** FIN CALCUL CX  ************************
	
% Surface de rfrence traine en m

if temps>=0 & temps <=130,
   S=37;
else
   S=22.9;
end

%   Calcul de la trainee cas general

y=0.5*ro*S*CX*VR^2;

if y<5, y=0;end  % Trane nulle si trop faible

end 



% *********************   FIN PROGRAMME   ************************