function y=masse(t);

Mu=12200; % Masse utile
MC=1750; % Masse coiffe
Mcase=1460; % Masse de la case  quipements

% Le temps 0 de vol correspond  7 s aprs le compte  rebours, le moteur EPC est allum 7 secondes avant le dcollage

% ***********  ETAGE CENTRAL CRYOTECHNIQUE EPC  ***********

MP_EPC=170240;
MT_EPC=182000; 
MS_EPC=MT_EPC-MP_EPC;
ISP_EPC_VIDE=431.2*9.81; % ISP_EPC_SOL=312.62*9.81;
TC_EPC=532;
poussee_EPC_vide=1354e3;
% Dbit EPC
q_EPC=MP_EPC*2/(TC_EPC+(TC_EPC-7)); % Donc 321.5 kg/s environ

% ****************** FIN EPC ****************************
% *************** EAP, PAR UNITE  ***********************

MP_EAP=237000;
MT_EAP=270000;
MS_EAP=MT_EAP-MP_EAP;
ISP_EPC_VIDE=310.5*9.81;
ISP_EPC_SOL=260*9.81;
TC_EAP=130;
Temps_montee=40;
% pousse_EAP_sol=5300e3;  % en Newtons
% Dbit EAP
q_EAP=237000*2/(115+130); % Soit 1934.7 kg/s

% ******************  FIN EAP  *************************
% ************** ETAGE VINCI NOUVEAU *****************

MP_VINCI=25000;
MS_VINCI=0.116*MP_VINCI;
MT_VINCI=MP_VINCI+MS_VINCI;
ISP_VINCI_VIDE=466*9.81;
TC_VINCI=750;
q_VINCI=MP_VINCI/TC_VINCI; % 33.333 kg/s
Poussee_VINCI=152.4e3;

% *******************  FIN VINCI  ***********************

% ---------------  DEBUT DES CALCULS ------------------

M01=MT_VINCI+2*MT_EAP+MT_EPC-3.5*q_EPC+Mu+MC+Mcase; % masse au dcollage
tps=t;

if tps<7 & tps>=0,
  massevol=MT_EPS+2*MT_EAP+MT_EPC+Mu+MC+Mcase;
end

if 7<=tps & tps<=105,
  massevol=M01-(q_EPC+q_EAP*2)*(tps-7);
end

M_105_plus=M01-(q_EPC+q_EAP*2)*(105-7);

if 105<tps & tps<=122,
  massevol=M_105_plus-(q_EPC+2*q_EAP)*(tps-105); % Vol sans coiffe
end

M_122_plus=M_105_plus-(q_EPC+q_EAP*2)*(122-105);

% Vol avec queue de pousse des EAP

if 122<tps & tps<=137, 
  massevol=M_122_plus-q_EPC*(tps-122)-q_EAP*((t-122)-(t-122)^2/15); 
end

M_137_plus=M_122_plus-q_EPC*(137-122)-2*q_EAP*15/2;

if 137<tps & tps<=139,
    massevol=M_137_plus-q_EPC*(tps-137); % Vol avec EPC seul et EAP teints
end

M_139_plus=M_137_plus-q_EPC*(139-137)-2*MS_EAP; % largage des EAP

if 139<tps & tps<=192,
  massevol=M_139_plus-q_EPC*(tps-139);
end

if 192<tps & tps<=532,
  massevol=M_139_plus-q_EPC*(tps-139)-MC; % Coiffe largue  t=192
end
% ************************************************************
M_532_plus=M_139_plus-q_EPC*(532-139)-MC; % Arrt EPC

if 532<tps & tps<=539,
  massevol=M_532_plus; % Vol sans moteur avant largage EPC
end

M_539_plus=M_532_plus-MS_EPC;  % Largage de la structure EPC

if 539<tps & tps<=549,
  massevol=M_539_plus; % Vol sans moteur avant allumage VINCI
end

M_549_plus=M_539_plus;

% Vol avec VINCI seul

if 549<tps & tps<=1299,
  massevol=M_549_plus-q_VINCI*(tps-549); % Vol avec VINCI
end

y=massevol;

end

%  ******  PROGRAMME VERIFIE CORRECT ****************** AU POINT ************
